# frozen_string_literal: true

require "hrb/version"
require "hrb/template"
require "hrb/tilt" if defined?(Tilt)
require "hrb/action_view" if defined?(ActionView::Template)

module Hrb
  module_function

  def render(locals: {}, scope: nil, &block)
    Hrb::Template.render(locals: locals, scope: scope, &block)
  end

  def render_file(path, locals: {}, scope: nil)
    Hrb::Template.render_file(path, locals: locals, scope: scope)
  end
end
