# frozen_string_literal: true

module Hrb
  module Rails
    class TemplateHandler
      def call(template)
        <<-CODE
          Hrb::Template.build do
            #{template.source}
          end.to_s
        CODE
      end
    end
  end
end

ActionView::Template.register_template_handler :hrb, Hrb::Rails::TemplateHandler
